Package com.smartgwt.client.types

# Enum Orientation

java.lang.Object
java.lang.Enum<Orientation>
com.smartgwt.client.types.Orientation

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<Orientation>`, `Constable`

public enum Orientation extends Enum<Orientation> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HORIZONTAL`
  members laid out horizontally
  `VERTICAL`
  members laid out vertically

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static Orientation`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Orientation[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VERTICAL

    public static final Orientation VERTICAL
    members laid out vertically

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "vertical".

  - ### HORIZONTAL

    public static final Orientation HORIZONTAL
    members laid out horizontally

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "horizontal".

- ## Method Details

  - ### values

    public static Orientation[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Orientation valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`